MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023356Community[OCCT] OCCT:DRAWpublic2012-07-26 15:052012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023356: Suspicious assignment inside the condition expression of 'if' operator.
DescriptionQANewBRepNaming_BooleanOperationFeat.cxx, lines 1106, 1129
QABugs_11, lines 727, 1898, 1921
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021163)
Pawel (developer)
2012-07-26 15:07

Corresponding git branch pushed. Please review.
(0021167)
abv (manager)
2012-07-27 07:30

No remarks, please test
(0021186)
apn (administrator)
2012-07-30 15:13
edited on: 2012-07-30 15:21

Dear BugMaster,
Branch CR23356 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/tests/ [^]
See reference results in /QADisk/occttests/results/KAS/dev/products-20120720-opt_20072012/lin


- Related Changesets
occt: master 6d1a5d3a
Timestamp: 2012-07-26 11:06:55
Author: Pawel
Details ] Diff ]
0023356: Suspicious assignment inside the condition expression of 'if' operator.

Changed the assignments in the if-clauses to comparisons.
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperationFeat.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-26 15:05 Pawel New Issue
2012-07-26 15:05 Pawel Assigned To => Pawel
2012-07-26 15:07 Pawel Note Added: 0021163
2012-07-26 15:07 Pawel Assigned To Pawel => bugmaster
2012-07-26 15:07 Pawel Status new => resolved
2012-07-27 07:30 abv Note Added: 0021167
2012-07-27 07:30 abv Status resolved => reviewed
2012-07-30 15:13 apn Note Added: 0021186
2012-07-30 15:15 apn Note Edited: 0021186 View Revisions
2012-07-30 15:21 apn Note Edited: 0021186 View Revisions
2012-07-30 15:26 apn Test case number => Not needed
2012-07-30 15:26 apn Status reviewed => tested
2012-08-06 16:35 Pawel Changeset attached => occt master 6d1a5d3a
2012-08-06 16:35 Pawel Assigned To bugmaster => Pawel
2012-08-06 16:35 Pawel Status tested => verified
2012-08-06 16:35 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker